aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-12-arm/03-bashprofile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-12-arm/03-bashprofile.sh')
-rwxr-xr-xcoin/provisioning/qtci-macos-12-arm/03-bashprofile.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-12-arm/03-bashprofile.sh b/coin/provisioning/qtci-macos-12-arm/03-bashprofile.sh
new file mode 100755
index 00000000..4eed8433
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12-arm/03-bashprofile.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# Read .bashrc if exist
+printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
+